FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Institutions

List and retrieve institution (data holder) information from the Fiskil API.

AI Actions

Institutions are commonly known as Data Holders within the Consumer Data Right. They are typically banks, credit unions, or energy providers who return information about end users. Their response contains media, names, and identifiers which can be used for displaying specific information to your end users.

The Fiskil API supports many different institutions and continues to grow and work with more.

Endpoints

MethodEndpointDescription
GET/v1/institutionsList all institutions
GET/v1/institutions/{id}Retrieve a specific institution

The Institution Model

AttributeTypeRequiredDescription
idstringYesThe ID of the institution
namestringYesThe name of the institution
iconstringYesA URL to an icon for the institution
logostringYesA URL to the logo of the institution
industrystringYesThe industry of the institution. Values: banking, energy
is_accessiblebooleanNoWhether this institution is accessible by your team. Determines if the institution can be used
priorityintegerYesThe order that this institution will appear in during an auth session
statusobjectYesStatus information including connection status

Example Response

{
  "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
  "id": "22",
  "industry": "banking",
  "is_accessible": true,
  "logo": "https://eastpaclogo.com.au/eastpac.svg",
  "name": "Eastpac",
  "priority": 1,
  "status": {
    "connections": {
      "status": "DEGRADED"
    }
  }
}

List All Institutions

Returns a list of all institutions that are currently supported by Fiskil.

GET https://api.fiskil.com/v1/institutions

Query Parameters

ParameterTypeRequiredDescription
industrystringNoThe type of the institution. Values: banking, energy
client_idstringYesYour team ID. You can get this from the settings menu of the Fiskil Console
sess_idstringNoThe auth session ID
institution_modestringNoIf set to recommended, will load recommended institution data only

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/institutions?industry=banking&client_id={client_id}' \
  --header 'accept: application/json; charset=UTF-8' \
  --header 'content-type: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/institutions?industry=banking&client_id={client_id}',
  {
    method: 'GET',
    headers: {
      'accept': 'application/json; charset=UTF-8',
      'content-type': 'application/json; charset=UTF-8'
    }
  }
);

const institutions = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/institutions',
    params={
        'industry': 'banking',
        'client_id': '{client_id}'
    },
    headers={
        'accept': 'application/json; charset=UTF-8',
        'content-type': 'application/json; charset=UTF-8'
    }
)

institutions = response.json()

Example Response

[
  {
    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
    "id": "22",
    "industry": "banking",
    "is_accessible": true,
    "logo": "https://eastpaclogo.com.au/eastpac.svg",
    "name": "Eastpac",
    "priority": 1,
    "status": {
      "connections": {
        "status": "OPERATIONAL"
      }
    }
  },
  {
    "icon": "https://westbank.com.au/icon.svg",
    "id": "23",
    "industry": "banking",
    "is_accessible": true,
    "logo": "https://westbank.com.au/logo.svg",
    "name": "Westbank",
    "priority": 2,
    "status": {
      "connections": {
        "status": "OPERATIONAL"
      }
    }
  }
]

Retrieve an Institution

Retrieve a specific institution based on its ID.

GET https://api.fiskil.com/v1/institutions/{id}

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe ID of the institution to fetch

Example Request

curl --request GET \
  --url https://api.fiskil.com/v1/institutions/22 \
  --header 'accept: application/json; charset=UTF-8' \
  --header 'content-type: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/institutions/22',
  {
    method: 'GET',
    headers: {
      'accept': 'application/json; charset=UTF-8',
      'content-type': 'application/json; charset=UTF-8'
    }
  }
);

const institution = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/institutions/22',
    headers={
        'accept': 'application/json; charset=UTF-8',
        'content-type': 'application/json; charset=UTF-8'
    }
)

institution = response.json()

Example Response

{
  "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
  "id": "22",
  "industry": "banking",
  "is_accessible": true,
  "logo": "https://eastpaclogo.com.au/eastpac.svg",
  "name": "Eastpac",
  "priority": 1,
  "status": {
    "connections": {
      "status": "OPERATIONAL"
    }
  }
}

Status Values

The status.connections.status field can have the following values:

StatusDescription
OPERATIONALThe institution is fully operational
DEGRADEDThe institution is experiencing degraded performance
DOWNThe institution is currently unavailable

Was this page helpful?

IncomeInvoices

On this page

EndpointsThe Institution ModelExample ResponseList All InstitutionsQuery ParametersExample RequestExample ResponseRetrieve an InstitutionPath ParametersExample RequestExample ResponseStatus Values